using System;
using System.Collections.Generic;
using System.Windows.Controls;

namespace RadSparkline.Data
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            DateTime today = DateTime.Today;

            List<Product> data = new List<Product>()
            {
                new Product() { Cost = 1, UnitCost = 2, PurchaseDate = today },
                new Product() { Cost = 2, UnitCost = 8, PurchaseDate = today.AddDays(1)},
                new Product() { Cost = 3, UnitCost = -12, PurchaseDate = today.AddDays(2)},
                new Product() { Cost = 4, UnitCost = 4, PurchaseDate = today.AddDays(3)},
                new Product() { Cost = 5, UnitCost = 16, PurchaseDate = today.AddDays(4)},
            };
            this.DataContext = data;
        }
    }
}